Bug 2021969 - mariadb: FTBFS with OpenSSL 3.0.0
Summary: mariadb: FTBFS with OpenSSL 3.0.0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F36FTBFS OpenSSL3.0
TreeView+ depends on / blocked
 
Reported: 2021-11-10 13:35 UTC by Sahana Prasad
Modified: 2021-12-13 00:30 UTC (History)
8 users (show)

Fixed In Version: mariadb-10.5.13-1.fc35 mariadb-10.5.13-1.fc34 mariadb-10.5-3420211202132324.058368ca mariadb-10.5-3520211202132324.f27b74a8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-12-11 01:32:06 UTC
Type: Bug


Attachments (Terms of Use)

Description Sahana Prasad 2021-11-10 13:35:29 UTC
This bug is used to track the readiness of mariadb with OpenSSL 3.0.0.

Currently the build fails to build with OpenSSL 3.0.0 with the following logs
Task info: https://koji.fedoraproject.org/koji/taskinfo?taskID=78020211

Kindly fix them to ensure this package builds with OpenSSL 3.0.0

You can treat the deprecated warnings not as errors if you want to continue to use deprecated functions, but it is encouraged to use the new APIs, and this migration could be done sooner than later.

To not treat deprecated warnings as errors, you may use
-Wno-error=deprecated-declarations

To port to new APIs, kindly refer to the OpenSSL upstream migration guide:
https://www.openssl.org/docs/manmaster/man7/migration_guide.html

Thank you

Comment 1 Fedora Update System 2021-12-02 15:32:06 UTC
FEDORA-2021-72d5918529 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-72d5918529

Comment 2 Fedora Update System 2021-12-02 15:32:27 UTC
FEDORA-2021-acef1dc8cf has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-acef1dc8cf

Comment 3 Fedora Update System 2021-12-03 01:49:39 UTC
FEDORA-2021-acef1dc8cf has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-acef1dc8cf`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-acef1dc8cf

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-12-03 02:08:56 UTC
FEDORA-2021-72d5918529 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-72d5918529`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-72d5918529

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-12-04 00:14:32 UTC
FEDORA-MODULAR-2021-094ff554ca has been submitted as an update to Fedora 34 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-094ff554ca

Comment 6 Fedora Update System 2021-12-04 00:14:43 UTC
FEDORA-MODULAR-2021-c8639f6351 has been submitted as an update to Fedora 35 Modular. https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8639f6351

Comment 7 Fedora Update System 2021-12-05 01:18:46 UTC
FEDORA-MODULAR-2021-c8639f6351 has been pushed to the Fedora 35 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-c8639f6351

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-12-05 01:19:55 UTC
FEDORA-MODULAR-2021-094ff554ca has been pushed to the Fedora 34 Modular testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-MODULAR-2021-094ff554ca

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-12-11 01:32:06 UTC
FEDORA-2021-acef1dc8cf has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-12-11 01:40:04 UTC
FEDORA-2021-72d5918529 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-12-13 00:22:32 UTC
FEDORA-MODULAR-2021-094ff554ca has been pushed to the Fedora 34 Modular stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-12-13 00:30:06 UTC
FEDORA-MODULAR-2021-c8639f6351 has been pushed to the Fedora 35 Modular stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.